function populateAgents()
	createAgent(5)
end

function createAgent(agents, x, y)
	for z = #agents, #agents + foods do
		for k,v in pairs(generateAgentStats(x,y)) do -- Doug Currie 8-16-2009
			agents[z][k] = v
		end
		for k,v in pairs (generateAgentGenes()) do -- Doug Currie 8-26-2009
			agents[z][k] = v
		end
	end
end

function agentsUpdate()

end

function generateAgentStats()
	--[[
	x, y coordinate
	initial angle of movement
	initial length of movement
	hunger
	hungertimer
	whether it's currently eating
	node it's currently eating from
	eat timer
	whether it's currently pathing towards a node
	whether it's currently alive
	current health out of total
	node last eaten from (remember to clear/update this if the/a node dies)
	timer for remembering where the last node was
	node it's currently pathing towards
	]]--
end

function generateAgentGenes()
	--[[
	speed (pixels per second)
	duration of food tick (seconds)
	hunger boundary
	eyesight (pixels)
	hunger boundary allowance
	node memory time (seconds)
	when hungry: avoid, follow, or no different behavior
	avoidance distance (doesn't matter if it follows or has no different behavior)
	color
	violence
	--]]
end

function updateAgentColor()
	--[[
	how do I want agents' color to be affected?
		hunger
		health
		hostility
		heritage
	I could make the heritage thing work by adding a certain amount of a color to a breed of agents
		and then average them during breeding.

		problems:
			most agents will be around the same color still
				(though I guess this is similar to real life)
			is hostility close to heritage?
				they will be at least close, but most will be in the middle of the spectrum
			is heritage really important at all????
	]]--
end
